


fade = love.graphics.newPixelEffect [[
        
        const float blurSize = 1.0/512.0; 
        

        vec4 effect(vec4 global_color, Image texture, vec2 texture_coords, vec2 pixel_coords)
        {

        vec4 sum = vec4(0.0);
        float fade = 0.0001;
 
       sum += (texture2D(texture, vec2(texture_coords.x - 4.0*blurSize, texture_coords.y)) * 0.05)-fade;
       sum += (texture2D(texture, vec2(texture_coords.x - 3.0*blurSize, texture_coords.y)) * 0.09)-fade;
       sum += (texture2D(texture, vec2(texture_coords.x - 2.0*blurSize, texture_coords.y)) * 0.12)-fade;
       sum += (texture2D(texture, vec2(texture_coords.x - blurSize, texture_coords.y)) * 0.15)-fade;
       sum += (texture2D(texture, vec2(texture_coords.x, texture_coords.y)) * 0.181)-fade;
       sum += (texture2D(texture, vec2(texture_coords.x + blurSize, texture_coords.y)) * 0.15)-fade;
       sum += (texture2D(texture, vec2(texture_coords.x + 2.0*blurSize, texture_coords.y)) * 0.12)-fade;
       sum += (texture2D(texture, vec2(texture_coords.x + 3.0*blurSize, texture_coords.y)) * 0.09)-fade;
       sum += (texture2D(texture, vec2(texture_coords.x + 4.0*blurSize, texture_coords.y)) * 0.05)-fade;
        sum.a = 1;
         
         return sum ;
        }
    ]]

fade2 = love.graphics.newPixelEffect [[
       
        const float blurSize = 1.0/512.0; 
        

        vec4 effect(vec4 global_color, Image texture, vec2 texture_coords, vec2 pixel_coords)
        {

        vec4 sum = vec4(0.0);
        float fade = 0.00;
 
 sum += texture2D(texture, vec2(texture_coords.x, texture_coords.y - 4.0*blurSize)) * 0.05;
   sum += texture2D(texture, vec2(texture_coords.x, texture_coords.y- 3.0*blurSize)) * 0.09;
   sum += texture2D(texture, vec2(texture_coords.x, texture_coords.y- 2.0*blurSize)) * 0.12;
   sum += texture2D(texture, vec2(texture_coords.x, texture_coords.y - blurSize)) * 0.15;
   sum += texture2D(texture, vec2(texture_coords.x, texture_coords.y)) * 0.16;
   sum += texture2D(texture, vec2(texture_coords.x, texture_coords.y + blurSize)) * 0.15;
   sum += texture2D(texture, vec2(texture_coords.x, texture_coords.y  + 2.0*blurSize)) * 0.12;
   sum += texture2D(texture, vec2(texture_coords.x, texture_coords.y + 3.0*blurSize)) * 0.09;
   sum += texture2D(texture, vec2(texture_coords.x, texture_coords.y + 4.0*blurSize)) * 0.05;
        sum.a = 1;
         
         return sum ;
        }
    ]]







local fb1 = love.graphics.newCanvas()
local fb2 = love.graphics.newCanvas()


function love.draw()
     love.graphics.setPixelEffect()
    love.graphics.setCanvas(fb1)
    love.graphics.draw(fb2)
    if love.mouse.isDown("l") then
        local x,y = love.mouse.getPosition()
       local size = math.random(5,30)
        love.graphics.setColor(255,255,255,255)
        love.graphics.rectangle("fill",x-size/2,y-size/2, size, size) 
            
    elseif love.mouse.isDown("r") then
         local x,y = love.mouse.getPosition()
       local size = math.random(5,30)
        love.graphics.setColor(0,0,0,255)
        love.graphics.rectangle("fill",x-size/2,y-size/2, size, size) 
         love.graphics.setColor(255,255,255,255)
    end

    love.graphics.setCanvas(fb2)
    
        love.graphics.setPixelEffect(fade)
        love.graphics.draw(fb1)
    
    love.graphics.setCanvas()
    love.graphics.setPixelEffect(fade2)
    love.graphics.draw(fb2)

   
   
end
